Unit tafh7e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AFH7E_p;

function tafh7e: String;

implementation

function tafh7e: String;
var
N,_i :Integer;
IP :Array [0..4] of Integer;
IUP :Array [0..4] of Integer;
UN :Array [0..3] of Extended;
DI :Array [0..4] of Extended;
const
IA :Array [0..5] of Integer = ( 1,2,3,4,5,5 );
JA :Array [0..3] of Integer = ( 5,5,5,5 );
IU :Array [0..5] of Integer = ( 1,2,3,4,5,5 );
JU :Array [0..3] of Integer = ( 5,5,5,5 );
AN :Array [0..3] of Extended = ( 2.0e0,0.5e0,2.0e0,1.0e0 );
AD :Array [0..4] of Extended = ( 16.0e0,0.625e0,3.0e0,0.5e0,4.0e0 );
begin
Result := '';  {   }

{         AFH7E }

N := 5;
AFH7E(IA,JA,AN,AD,N,IU,JU,UN,DI,IP,IUP);
Result := Result + Format('%s',[' UN=']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[UN[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' DI=']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[DI[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tafh7e',Result);  {     tafh7e.res }
exit;
end;

end.
